Bug 6569 - chmod-temp-dir fails on QNX
chmod-temp-dir fails on QNX
Status: RESOLVED FIXED
Product: rsync
Classification: Unclassified
Component: core
3.1.0
Other Windows XP
: P3 normal
: ---
Assigned To: Wayne Davison
Rsync QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-21 11:38 UTC by Matt Kraai
Modified: 2009-08-24 11:13 UTC (History)
0 users

See Also:


Attachments
Skip chmod-tem-dir if /var/tmp doesn't exist (871 bytes, patch)
2009-07-21 11:40 UTC, Matt Kraai
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Kraai 2009-07-21 11:38:45 UTC
rsync's chmod-test-dir fails on QNX because it assumes that /var/tmp exists, which isn't the case on QNX systems.
Comment 1 Matt Kraai 2009-07-21 11:40:40 UTC
Created attachment 4451 [details]
Skip chmod-tem-dir if /var/tmp doesn't exist
Comment 2 Wayne Davison 2009-08-22 11:35:14 UTC
Thanks for the patch!  I've checked-in a fix to the git repo.
Comment 3 Matt Kraai 2009-08-24 11:13:11 UTC
(In reply to comment #2)
> Thanks for the patch!  I've checked-in a fix to the git repo.

Thanks, I've verified that rsync now builds and passes its test suite on QNX 6.4.1.  It still fails to build in the build farm, as the rsync copy there hasn't been updated.  Do you know who I should contact about that?